ENV(1)

NAME
env - set and print environment

SYNOPSIS
env [-i] [ name=value ...] [ utility [argument ...]]

DESCRIPTION
env executes utility after modifying the environment as specified on the command line. The option name=value specifies an environment variable, name, with a value of value.

The options are as follows:

-i  Causes env to completely ignore the environment it inherits.

If no utility is specified, env prints out the names and values of the variables in the environment, with one name=value pair per line.

env doesn't handle commands with equal (‘=’) signs in their names, for obvious reasons.

EXIT STATUS
The env utility exits with one of the following values:

0   env completed successfully and, if utility was specified, it was invoked and completed successfully too.

1   An invalid command line option was passed to env and utility was not invoked, or utility was invoked but failed with exit status 1.

2–125, 128–255
    utility was invoked but failed with this exit status; see its manual page for more information.

126 utility was found but could not be invoked, or it was invoked but failed with exit status 126.

127 utility could not be found, or it was invoked but failed with exit status 127.

SEE ALSO
execvp(3), environ(7)

STANDARDS
The env utility is compliant with the p1003.1-2008 specification.

The historic - option has been deprecated but is still supported in this implementation.